=== debian/changelog ===
trnascan-se (1.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #803542)

 -- Afif Elghraoui <afif@debian.org>  Tue, 13 Dec 2016 23:35:18 -0800
