=== debian/control ===
Source: trnascan-se
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
Vcs-Git: https://anonscm.debian.org/git/debian-med/trnascan-se.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trnascan-se.git

Package: trnascan-se
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${perl:Depends},
	trnascan-se-common (= ${source:Version})
Suggests:
	infernal (>= 1.0)
Description: detection of transfer RNA genes in genomic sequence
 tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
 giving less than one false positive per 15 gigabases. Two previously described
 tRNA detection programs are used as fast, first-pass prefilters to identify
 candidate tRNAs, which are then analyzed by a highly selective tRNA covariance
 model. This work represents a practical application of RNA covariance models,
 which are general, probabilistic secondary structure profiles based on
 stochastic context-free grammars. tRNAscan-SE searches at ~ 30 000 bp/s.
 Additional extensions to tRNAscan-SE detect unusual tRNA homologues such as
 selenocysteine tRNAs, tRNA-derived repetitive elements and tRNA pseudogenes.

Package: trnascan-se-common
Architecture: all
Depends:
	${misc:Depends},
	${perl:Depends}
Description: detection of transfer RNA genes in genomic sequence (common files)
 tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
 giving less than one false positive per 15 gigabases. Two previously described
 tRNA detection programs are used as fast, first-pass prefilters to identify
 candidate tRNAs, which are then analyzed by a highly selective tRNA covariance
 model. This work represents a practical application of RNA covariance models,
 which are general, probabilistic secondary structure profiles based on
 stochastic context-free grammars. tRNAscan-SE searches at ~ 30 000 bp/s.
 Additional extensions to tRNAscan-SE detect unusual tRNA homologues such as
 selenocysteine tRNAs, tRNA-derived repetitive elements and tRNA pseudogenes.
 .
 This package contains the architecture-independent common files.
