=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

CFLAGS := $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs Release.history
