=== debian/tests/control ===
Test-Command: make testrun
Depends: @
Restrictions: allow-stderr
