=== debian/watch ===
version=3

http://lowelab.ucsc.edu/software/tRNAscan-SE-(.*)\.tar\.gz
