## trnascan-se 2.0.0

=== debian/changelog ===
trnascan-se (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.2.0
  * d/copyright: Add Disclaimer and link to attempt to free the code

 -- Andreas Tille <tille@debian.org>  Tue, 21 Aug 2018 09:29:10 +0200

trnascan-se (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Check existence of files before calling chmod on them to fix arch indep
    builds
    Closes: #904444
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Clean up properly
  * Fix paths in d/copyright
  * hardening=+all
  * Prevent parallel build

 -- Andreas Tille <tille@debian.org>  Sun, 05 Aug 2018 02:22:58 +0200

trnascan-se (2.0.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness
  * upstream/metadata RRID->SciCrunch

  [ Afif Elghraoui ]
  * debian/watch: update to new URL
  * New upstream version
  * Standards-Version 4.1.3
  * debhelper compat 11
  * d/rules: clean up and remove dh_installchangelogs
  * Overhaul packaging for new build system
  * d/copyright: license change (GPL 2+ -> 3+); updated copyright years
  * install examples
  * Add dependency on infernal
  * Update autopkgtest

 -- Afif Elghraoui <afif@debian.org>  Sat, 24 Feb 2018 22:18:01 -0500
