=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: trnascan-se
-Section: non-free/science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Section: non-free/science
+XS-Autobuild: no
+Priority: optional
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
+Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
-Vcs-Git: https://anonscm.debian.org/git/debian-med/trnascan-se.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trnascan-se.git
 
 Package: trnascan-se
 Architecture: any
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	${perl:Depends},
-	trnascan-se-common (= ${source:Version})
-Suggests:
-	infernal (>= 1.0)
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${perl:Depends},
+         trnascan-se-common (= ${source:Version}),
+         infernal
 Description: detection of transfer RNA genes in genomic sequence
  tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
  giving less than one false positive per 15 gigabases. Two previously described
@@ -31,9 +30,8 @@
 
 Package: trnascan-se-common
 Architecture: all
-Depends:
-	${misc:Depends},
-	${perl:Depends}
+Depends: ${misc:Depends},
+         ${perl:Depends}
 Description: detection of transfer RNA genes in genomic sequence (common files)
  tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
  giving less than one false positive per 15 gigabases. Two previously described
