=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --no-parallel

# tRNAscan can't handle compressed fasta files
override_dh_compress:
	dh_compress -X .fa
