=== debian/watch ===
version=4

opts="uversionmangle=s/rc/~rc/i" \
http://trna.ucsc.edu/software/trnascan-se-(.*)\.tar\.gz
