## trnascan-se 2.0.3

=== debian/changelog ===
trnascan-se (2.0.3-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Upstream agreed to GPL the code here:
     https://lists.debian.org/debian-med/2018/09/msg00067.html

  [ Jeremy Bicha ]
  * Build-Depend on infernal to block the package being built on
    architectures where it's not available

  [ Steffen Moeller ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Tue, 25 Sep 2018 07:38:08 +0200
