=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: non-free/science
 XS-Autobuild: no
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12),
+               infernal
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
