## trnascan-se 2.0.5

=== debian/changelog ===
trnascan-se (2.0.5-1) unstable; urgency=medium

  * Team upload.

  * Added a few autogenerated files to be excluded for
    d/copyright.
  * d/control:
    - Changed XS-Autobuild to: yes
    - Standards-Version: 4.4.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 23:33:33 +0100
