=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: non-free/science
-XS-Autobuild: no
+XS-Autobuild: yes
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                infernal
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
