=== debian/tests/control ===
Tests: rules
Depends: @
Restrictions: allow-stderr
