## trnascan-se 2.0.7+ds

=== debian/changelog ===
trnascan-se (2.0.7+ds-1) unstable; urgency=medium

  * New upstream version.
  * Fixed typo in tRNAscan-SE.1.
  * Added configure_debugging.patch and build dependency to autoconf-archive to
    allow the propagation of CFLAGS.
  * Replaced Afif Elghraoui as Uploader since he is not active anymore.
    Thanks for having built and maintained this package!

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 04 Nov 2020 22:22:54 +0100

trnascan-se (2.0.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 25 Sep 2020 00:17:32 +0530
