=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: trnascan-se
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Étienne Mollier <etienne.mollier@mailoo.org>
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               autoconf-archive,
                infernal
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
+Rules-Requires-Root: no
 
 Package: trnascan-se
 Architecture: any
