=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 %:
 	dh $@ --no-parallel
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-debugging
+
 # tRNAscan can't handle compressed fasta files
 override_dh_compress:
 	dh_compress -X .fa
+
+override_dh_missing:
+	rm -rf debian/*/usr/include
+	dh_missing
