=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=gz" \
http://trna.ucsc.edu/software/trnascan-se-(.*)\.tar\.gz
