## trnascan-se 2.0.9+ds

=== debian/changelog ===
trnascan-se (2.0.9+ds-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * New upstream version 2.0.9+ds
  * Declare compliance with policy 4.5.1
  * Update manpages

  [ Étienne Mollier ]
  * d/control: update uploader address

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:03:59 +0530
