=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: trnascan-se
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Étienne Mollier <etienne.mollier@mailoo.org>
+Uploaders: Étienne Mollier <emollier@debian.org>
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                infernal
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
