## trnascan-se 2.0.10+ds

=== debian/changelog ===
trnascan-se (2.0.10+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 21:44:54 +0200
