## trnascan-se 2.0.12+ds

=== debian/changelog ===
trnascan-se (2.0.12+ds-2) unstable; urgency=medium

  * Team upload.
  * d/rules: force std=gnu11
    Closes: #1114419
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Mon, 08 Dec 2025 19:05:06 +0100

trnascan-se (2.0.12+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Jul 2023 15:39:15 +0200
