=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                infernal
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
-Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
+Homepage: https://lowelab.ucsc.edu/tRNAscan-SE
 Rules-Requires-Root: no
 
 Package: trnascan-se
