=== debian/watch ===
Version: 5

Source: http://trna.ucsc.edu/software/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Repack-Suffix: +ds
Dversion-Mangle: auto
